#!/usr/bin/perl -w

# Copyright 2007, 2008, 2009, 2011, 2012, 2014, 2015 Kevin Ryde

# This file is part of apt-file-from-installed.
#
# apt-file-from-installed is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3, or (at your option) any
# later version.
#
# apt-file-from-installed is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with apt-file-from-installed.  If not, see <http://www.gnu.org/licenses/>.

use 5.010;
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile
  (NAME         => 'apt-file-from-installed',
   ABSTRACT     => 'Create apt-file contents file from currently installed packages.',
   VERSION_FROM => 'apt-file-from-installed',
   AUTHOR       => 'Kevin Ryde <user42_kevin@yahoo.com.au>',
   LICENSE      => 'gpl_3',
   SIGN         => 1,
   EXE_FILES    => [ 'apt-file-from-installed' ],
   MIN_PERL_VERSION => '5.010',

   PREREQ_PM    => {
                    'AptPkg::Config' => 0,
                    'Config::File' => 0,
                    'Config::Apt::Sources' => 0,
                    'File::Slurp' => 0,
                    'URI' => 0,
                    'URI::ftp' => 0,
                    'URI::http' => 0,
                   },
   META_MERGE =>
   { resources =>
     { homepage => 'http://user42.tuxfamily.org/apt-file-from-installed/index.html',
       license  => 'http://www.gnu.org/licenses/gpl.html',
     },
     no_index => { directory=>['devel','xt'] },
   },
  );
